package br.ufrn.imd.withdrawal.controller;

import br.ufrn.imd.withdrawal.domain.Client;
import br.ufrn.imd.withdrawal.service.WithdrawalService;
import lombok.AllArgsConstructor;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

@RequiredArgsConstructor
@RestController
@RequestMapping("/banking/client/{id}")
public class WithdrawalController {

    private final WithdrawalService service;

    @GetMapping
    public Client withdrawal(@PathVariable Integer id, @RequestParam(name = "value") Double value) {
        return service.withdraw(value, new Client(id));
    }
}
